# encoding: utf-8

DIGITS = dict([(s,i) for i,s in enumerate(u'零一二三四五六七八九')])
LARGE = { u'十': 10, u'百': 100, u'千': 1000, u'萬': 10000, u'億': 100000000 }

def num_to_int(s):
    xs = []
    x = 0
    for c in s:
        if c in DIGITS:
            x += DIGITS[c]
        elif c in LARGE:
            if x == 0: x = LARGE[c]
            else: x *= LARGE[c]
            xs.append(x)
            x = 0
        else: raise ValueError
    return x + sum(xs)

